# Uses of Class
gnu.jel.CompilationException

Packages that use CompilationException
Package
Description
gnu.jel

## Uses of CompilationException in gnu.jel

Methods in gnu.jel that throw CompilationException
Modifier and Type
Method
Description
`static CompiledExpression`
Evaluator.`compile(String expression, Library lib)`
Compiles expression, resolving the function names in the library.
`static CompiledExpression`
Evaluator.`compile(String expression, Library lib, Class<?> resultType)`
Compiles expression, resolving the function names in the library.
`static byte[]`
Evaluator.`compileBits(String expression, Library lib)`
Compiles expression, resolving the function names in the library.
`static byte[]`
Evaluator.`compileBits(String expression, Library lib, Class<?> resultType)`
Compiles expression, resolving the function names in the library.
`protected void`
Parser.`consume(int cc)`
`void`
Parser.`error(int code, Object param, int column)`
`Member`
Library.`getMember(Class<?> container, String name, Class<?>[] params)`
Searches the namespace defined by this library object for method or field.
`protected Member`
Library.`getMostSpecific(Class<?> container, String name, Class<?>[] params, List<Member> applicable_methods, int np)`
Returns the most specific method, matching the call.
`void`
Library.`markStateDependent(String name, Class<?>[] params)`
This method marks a static member as having the internal state.
`void`
Parser.`nextToken()`
`OP`
Parser.`parse(Class<?> resultType)`
Parses expression.
Constructors in gnu.jel that throw CompilationException
Modifier
Constructor
Description
``
`OPbinary(Stack<OP> paramOPs, int opcode)`
Constructs a new binary operation.
``
`OPcall(Member m, int np, Stack<OP> paramOPs, boolean aEval)`
Prepares a new method/field call/get operation to be added to the code.
``
`OPcondtnl(Stack<OP> paramOPs)`
Creates conditional operator.
``
`OPunary(Stack<OP> paramOPs, int code)`
Constructs a new unary operation.
``
`OPunary(Stack<OP> paramOPs, int targetID, Class<?> targetClass, boolean allownarrowing)`
Creates conversion operation to the given class.